## org.codehaus.groovy.control.messages
Class SyntaxErrorMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.SyntaxErrorMessage

    public class SyntaxErrorMessage

extends Message

A class for error messages produced by the parser system.

Version:
  $Id: SyntaxErrorMessage.java 7899 2007-09-03 11:25:08Z paulk $
Author:
  Chris Poirier

Field Summary
`protected SyntaxException` `cause`
`protected SourceUnit` `source`

Constructor Summary
`SyntaxErrorMessage(SyntaxException cause, SourceUnit source)`

Method Summary
`SyntaxException` `getCause()` Returns the underlying SyntaxException.
`void` `write(PrintWriter output, Janitor janitor)` Writes out a nicely formatted summary of the syntax error.

Methods inherited from class org.codehaus.groovy.control.messages.Message
`create, create, create, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cause

    protected SyntaxException cause

### source

    protected SourceUnit source

Constructor Detail

### SyntaxErrorMessage

    public SyntaxErrorMessage(SyntaxException cause,
                              SourceUnit source)

Method Detail

### getCause

    public SyntaxException getCause()

  Returns the underlying SyntaxException.

### write

    public void write(PrintWriter output,
                      Janitor janitor)

  Writes out a nicely formatted summary of the syntax error.

  Specified by:
    `write` in class `Message`

Copyright © 2003-2008 The Codehaus. All rights reserved.